Bug 448366 - icu 4.0 will remove the -p option from genrb
icu 4.0 will remove the -p option from genrb
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Admin (Show other bugs)
1.1.1
All Linux
low Severity low
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
: Reopened
Depends On:
Blocks: 249650 FDS112
  Show dependency treegraph
 
Reported: 2008-05-26 05:39 EDT by Caolan McNamara
Modified: 2015-01-04 18:32 EST (History)
5 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 19:04:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to avoid using -p in genbrk (928 bytes, patch)
2008-05-26 05:39 EDT, Caolan McNamara
no flags Details | Diff
cvs commit log (1.48 KB, text/plain)
2008-06-09 11:59 EDT, Rich Megginson
no flags Details
diffs (1.76 KB, patch)
2008-09-03 15:50 EDT, Rich Megginson
no flags Details | Diff
cvs commit log (1.34 KB, text/plain)
2008-09-03 17:43 EDT, Rich Megginson
no flags Details

  None (edit)
Description Caolan McNamara 2008-05-26 05:39:29 EDT
Description of problem:

I will be bumping icu to the 4.0 version this week or next in fedora, it removes
the -p option from genrb which fedora-ds-admin is using

I think the following patch might do the right thing,
Comment 1 Caolan McNamara 2008-05-26 05:39:29 EDT
Created attachment 306654 [details]
patch to avoid using -p in genbrk
Comment 2 Caolan McNamara 2008-05-26 05:40:47 EDT
http://bugs.icu-project.org/trac/ticket/3798 is the reference for this change
Comment 3 Rich Megginson 2008-06-09 11:59:06 EDT
Created attachment 308700 [details]
cvs commit log

Thanks Caolan.	I think it's better if I just change the way I use genrb.

Fix Description: we don't need to use the -p option anymore - we can just
create the root.res in a unique, program named subdir
This also bumps the version to 1.1.5
Comment 4 Fedora Update System 2008-06-09 13:27:39 EDT
fedora-ds-admin-1.1.5-1.fc7 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-06-09 13:28:30 EDT
fedora-ds-admin-1.1.5-1.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-06-09 13:29:07 EDT
fedora-ds-admin-1.1.5-1.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-06-09 23:14:23 EDT
fedora-ds-admin-1.1.5-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-06-09 23:15:37 EDT
fedora-ds-admin-1.1.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-06-09 23:16:52 EDT
fedora-ds-admin-1.1.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Rich Megginson 2008-09-03 15:48:37 EDT
Ulf Weltman reports that the patch is incorrect - we should have removed the argument to -p in addition to removing -p.  Reopening this bug.
Comment 11 Rich Megginson 2008-09-03 15:50:49 EDT
Created attachment 315681 [details]
diffs
Comment 12 Rich Megginson 2008-09-03 17:43:42 EDT
Created attachment 315698 [details]
cvs commit log
Comment 14 Jenny Galipeau 2009-04-08 16:10:31 EDT
Could you please add steps to verify this bug?  Thanks.
Comment 15 Nathan Kinder 2009-04-08 16:17:29 EDT
The build would fail to compile without this fix.  Marking as VERIFIED.
Comment 16 Chandrasekar Kannan 2009-04-29 19:04:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.